API Documentation | All Packages | All Classes | Index | Frames No Frames |
ClosableTabNavigatorEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class ClosableTabNavigatorEvent
Inheritance | ClosableTabNavigatorEvent flash.events.Event

Public Properties

| Property | Defined By
--- | --- | ---
|  | data : Array | ClosableTabNavigatorEvent

Public Methods

| Method | Defined By
--- | --- | ---
|  | ClosableTabNavigatorEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | ClosableTabNavigatorEvent
|  | clone():Event [override] | ClosableTabNavigatorEvent

Public Constants

| Constant | Defined By
--- | --- | ---
|  | CLOSE : String = Close [static] | ClosableTabNavigatorEvent

Property Detail

data | property

`public var data:Array`

Constructor Detail

ClosableTabNavigatorEvent | () | Constructor

`public function ClosableTabNavigatorEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`

Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method Detail

clone | () | method

`override public function clone():Event`

Returns

| `Event`

Constant Detail

CLOSE | Constant

`public static const CLOSE:String = Close`

Mon Oct 17 2011, 09:13 PM -04:00